/***************************************************************************

	FILE NAME: PCUTIL.H

	FILE DESCRIPTION: Interrupt Handling Function Prototypes

	This file is required for any of the example programs that use
	interrupts.  This file only contains the prototypes.  The actual
	function code is in PCUTIL.C.

	PROJECT NAME: DM6210 DOS Driver

	DRIVER VERSION: 1.1

	COMPILER: Borland C++ 3.1

	TARGET: Real-Mode DOS

	Copyright 2003 RTD Embedded Technologies

***************************************************************************/

#ifdef __cplusplus
// Original interrupt storage C++ style
//void interrupt (*OldINT) (...);

void InitHostIT(void interrupt (*IntVect) (...))
#else
// Original interrupt storage C style
//void interrupt (*OldINT) (void);

void InitHostIT(void interrupt (*IntVect) (void),int IRQ);
#endif

//void InitHostIT(void interrupt (*IntVect) (void));
void RestoreHostIT(int IRQ);
void EndOfIT(int Irq);

